"
COPYRIGHT (c) 2021 LabWare

              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libview' }"

"{ NameSpace: Smalltalk }"

Object subclass:#ResourcePackBinding
	instanceVariableNames:'resources key'
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Internationalization'
!

!ResourcePackBinding class methodsFor:'documentation'!

copyright
"
COPYRIGHT (c) 2021 LabWare

              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    `ResourcePackBinding` is internal utility class representing a single named item from specific
     resource pack.

     Used mainly by resource pack reading process to evaluate (dollar-prefixed) variables.

    [author:]
        Jan Vrany <jan.vrany@labware.com>

    [instance variables:]

    [class variables:]

    [see also:]

"
! !

!ResourcePackBinding methodsFor:'accessing'!

key
    ^ key
!

key:aStringOrSymbol
    key := aStringOrSymbol.
!

resources
    ^ resources
!

resources:aResourcePack
    resources := aResourcePack.
!

value
    ^ resources at: key
!

value: anObject
    ^ resources at: key put: anObject
! !

